JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const uiStates = await client.tasks.uiStates.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(uiStates.urls);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
ui_states = client.tasks.ui_states.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(ui_states.urls)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
uiStates, err := client.Tasks.UiStates.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", uiStates.URLs)
}mobilerun-cloud tasks:ui-states list \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.mobilerun.ai/tasks/{task_id}/ui_states \
--header 'Authorization: Bearer <token>'
{
"urls": [
"<string>"
]
}{
"title": "Unauthorized",
"status": 401,
"detail": "You are not authorized to access this resource",
"errors": []
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"errors": [
"<unknown>"
]
}Tasks
Get Task Ui States
List all UI state URLs for a task.
GET
/
tasks
/
{task_id}
/
ui_states
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const uiStates = await client.tasks.uiStates.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(uiStates.urls);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
ui_states = client.tasks.ui_states.list(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(ui_states.urls)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
uiStates, err := client.Tasks.UiStates.List(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", uiStates.URLs)
}mobilerun-cloud tasks:ui-states list \
--api-key 'My API Key' \
--task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eWas this page helpful?
⌘I